Subject: Re: bug#38013: [PATCH] Rectangular region selection with mouse

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Nov 2019 21:24:54 +0200

> Date: Tue, 19 Nov 2019 10:32:49 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > I suggested a minor mode as a way to allow us using the same binding
> > as used for another command by default.  I did NOT suggest to have a
> > minor mode _instead_ of a binding.
> 
> I was (and I thought you were) suggesting putting the
> key binding in a minor-mode keymap.  Users can turn
> on the (global) mode and get that binding - and leave
> the mode on forever, if they like.
> 
> So no, I too did not suggest having a minor mode
> _instead_ of a key binding.  I had in mind a minor
> mode that has its own key bindings.

Again, I suggested that only as a way to allow using a mouse gesture
that is already taken today.  If we use another gesture, which isn't
taken today, I see no reason not to bind it by default.